Index: apps/app_meetme.c
===================================================================
RCS file: /usr/cvsroot/asterisk/apps/app_meetme.c,v
retrieving revision 1.77
diff -u -r1.77 app_meetme.c
--- apps/app_meetme.c	1 Feb 2005 20:05:30 -0000	1.77
+++ apps/app_meetme.c	2 Feb 2005 01:28:31 -0000
@@ -904,7 +904,7 @@
 					goto zapretry;
 				}
 				f = ast_read(c);
-				if (!f) 
+				if (!f)
 					break;
 				if ((f->frametype == AST_FRAME_VOICE) && (f->subclass == AST_FORMAT_SLINEAR)) {
 					if (confflags &  CONFFLAG_MONITORTALKER) {
@@ -932,6 +932,10 @@
 								chan->name, chan->uniqueid, conf->confno, user->user_no);
 						}
 					}
+                                	if (using_pseudo) {
+                                                /* Carefully write */
+                                                careful_write(fd, f->data, f->datalen);
+                                	}
 				} else if ((f->frametype == AST_FRAME_DTMF) && (confflags & CONFFLAG_EXIT_CONTEXT)) {
 					char tmp[2];
 					tmp[0] = f->subclass;
@@ -1062,14 +1066,8 @@
 					if (musiconhold) {
 			   			ast_moh_start(chan, NULL);
 					}
-				} else if (using_pseudo) {
-					if (f->frametype == AST_FRAME_VOICE) {
-						if (f->subclass == AST_FORMAT_SLINEAR) {
-							/* Carefully write */
-							careful_write(fd, f->data, f->datalen);
-						} else
-							ast_log(LOG_WARNING, "Huh?  Got a non-linear (%d) frame in the conference\n", f->subclass);
-					}
+				} else if (option_verbose>3) {
+					ast_verbose(VERBOSE_PREFIX_4 "Got unrecognized frame on channel %s, f->frametype=%d,f->subclass=%d\n",chan->name,f->frametype,f->subclass);
 				}
 				ast_frfree(f);
 			} else if (outfd > -1) {
